apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:   
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$1
  labels:
    environment: test
  name: ingress
spec:
  rules:
  - host: baseURL
    http:
      paths:
      - path: /microservice1
        backend:
          serviceName: microservice1-service
          servicePort: 4595